org.apache.ignite.internal.processors.cache.verify

## Class GridNotIdleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.processors.cache.verify.GridNotIdleException

All Implemented Interfaces:
  Serializable

    public class GridNotIdleException
    extends IgniteException

This exception defines not idle cluster state, when idle state expected.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridNotIdleException()` Create empty exception.
`GridNotIdleException(String msg)` Creates new exception with given error message.
`GridNotIdleException(String msg, @Nullable Throwable cause)` Creates new exception with given error message and optional nested exception.
`GridNotIdleException(Throwable cause)` Creates new exception with given throwable as a cause and source of error message.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridNotIdleException

    public GridNotIdleException()

Create empty exception.

#### GridNotIdleException

    public GridNotIdleException(String msg)

Creates new exception with given error message.

Parameters:
  `msg` - Error message.

#### GridNotIdleException

    public GridNotIdleException(Throwable cause)

Creates new exception with given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### GridNotIdleException

    public GridNotIdleException(String msg,
                                @Nullable
                                @Nullable Throwable cause)

Creates new exception with given error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `IgniteException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020